###Speakers
init:
    image frank neutral = "Sprites/frank neutral.png"
    image frank neutral_n = "Sprites/frank neutral no_jacket.png"
    image frank worried = im.Composite(None, (0,0), "Sprites/frank_w_jacket.png", (0,0), "Sprites/worried.png")
    image frank worried_n = im.Composite(None, (0,0), "Sprites/frank_no_jacket.png", (0,0), "Sprites/worried.png")
    image frank thoughtful_worried = im.Composite(None, (0,0), "Sprites/frank_w_jacket.png", (0,0), "Sprites/thoughtful_worried.png")
    image frank thoughtful_worried_n = im.Composite(None, (0,0), "Sprites/frank_no_jacket.png", (0,0), "Sprites/thoughtful_worried.png")
    image frank angry_worried = im.Composite(None, (0,0), "Sprites/frank_w_jacket.png", (0,0), "Sprites/angry_worried.png")
    image frank angry_worried_n = im.Composite(None, (0,0), "Sprites/frank_no_jacket.png", (0,0), "Sprites/angry_worried.png")
    image frank disgusted = im.Composite(None, (0,0), "Sprites/frank_w_jacket.png", (0,0), "Sprites/disgusted.png")
    image frank disgusted_n = im.Composite(None, (0,0), "Sprites/frank_no_jacket.png", (0,0), "Sprites/disgusted.png")
    image frank nice_joke_man = im.Composite(None, (0,0), "Sprites/frank_w_jacket.png", (0,0), "Sprites/nice_joke_man.png")
    image frank nice_joke_man_n = im.Composite(None, (0,0), "Sprites/frank_no_jacket.png", (0,0), "Sprites/nice_joke_man.png")
    image frank spurts_blood = im.Composite(None, (0,0), "Sprites/frank_w_jacket.png", (0,0), "Sprites/spurts_blood.png")
    image frank spurts_blood_n = im.Composite(None, (0,0), "Sprites/frank_no_jacket.png", (0,0), "Sprites/spurts_blood.png")
    image frank you_re_cute = im.Composite(None, (0,0), "Sprites/frank_w_jacket.png", (0,0), "Sprites/you_re_cute.png")
    image frank you_re_cute_n = im.Composite(None, (0,0), "Sprites/frank_no_jacket.png", (0,0), "Sprites/you_re_cute.png")
    image frank sick_of_your_shit = im.Composite(None, (0,0), "Sprites/frank_w_jacket.png", (0,0), "Sprites/sick_of_your_shit.png")
    image frank sick_of_your_shit_n = im.Composite(None, (0,0), "Sprites/frank_no_jacket.png", (0,0), "Sprites/sick_of_your_shit.png")
    
    
image ctc = Animation("GUI/ctc01.png", 1.0, "GUI/ctc02.png", 0.2, "GUI/ctc03.png", 0.2, "GUI/ctc04.png", 0.2, "GUI/ctc05.png", 0.2, "GUI/ctc04.png", 0.2, "GUI/ctc03.png", 0.2, "GUI/ctc02.png", 0.2, "GUI/ctc01.png", 0.2, xpos=1280, ypos=653)

define fr = Character('Frank',
            ctc="ctc", ctc_position="fixed",
            window_background="GUI/textbox_frank.png",
            show_side_image=ConditionSwitch(
            "express == 'neutral'", im.Scale(ImageReference("frank neutral"), 270, 270),
            "express == 'neutral_n'", im.Scale(ImageReference("frank neutral_n"), 270, 270),
            "express == 'worried_n'", im.Scale(ImageReference("frank worried_n"), 270, 270),
            "express == 'worried'", im.Scale(ImageReference("frank worried"), 270, 270),
            "express == 'thoughtful_worried_n'", im.Scale(ImageReference("frank thoughtful_worried_n"), 270, 270),
            "express == 'thoughtful_worried'", im.Scale(ImageReference("frank thoughtful_worried"), 270, 270),
            "express == 'angry_worried_n'", im.Scale(ImageReference("frank angry_worried_n"), 270, 270),
            "express == 'angry_worried'", im.Scale(ImageReference("frank angry_worried"), 270, 270),
            "express == 'disgusted_n'", im.Scale(ImageReference("frank disgusted_n"), 270, 270),
            "express == 'disgusted'", im.Scale(ImageReference("frank disgusted"), 270, 270),
            "express == 'nice_joke_man_n'", im.Scale(ImageReference("frank nice_joke_man_n"), 270, 270),
            "express == 'nice_joke_man'", im.Scale(ImageReference("frank nice_joke_man"), 270, 270),
            "express == 'spurts_blood_n'", im.Scale(ImageReference("frank spurts_blood_n"), 270, 270),
            "express == 'spurts_blood'", im.Scale(ImageReference("frank spurts_blood"), 270, 270),
            "express == 'you_re_cute_n'", im.Scale(ImageReference("frank you_re_cute_n"), 270, 270),
            "express == 'you_re_cute'", im.Scale(ImageReference("frank you_re_cute"), 270, 270),
            "express == 'sick_of_your_shit_n'", im.Scale(ImageReference("frank sick_of_your_shit_n"), 270, 270),
            "express == 'sick_of_your_shit'", im.Scale(ImageReference("frank sick_of_your_shit"), 270, 270),
            xalign=0.0, yalign=1.0,
        )
    ) #Frank

define frcg = Character('Frank', ctc="ctc", ctc_position="fixed", window_background="GUI/textbox_frank.png")

define st = Character('Steve', ctc="ctc", ctc_position="fixed", window_background="GUI/textbox_steve.png")
define mb = Character('Mysterious Boy', ctc="ctc", ctc_position="fixed", window_background="GUI/textbox_mysterious_boy.png")
define lu = Character('Luka', ctc="ctc", ctc_position="fixed", window_background="GUI/textbox_luka.png")
define narrator = Character(None, ctc="ctc", ctc_position="fixed")

###Variables
init python:
    express = "thoughtful_worried_n"
    show_quick_menu = True
    
    good_points = 0
    bad_points = 0
    cuddle_points = 0
    
    luka_helped_you_look = False
    give_jacket = False

###Images

init python hide:
    for file in renpy.list_files():
        if file.startswith('Sprites/') and file.endswith('.png'): #Sprites, Sprites Flipped & Composite sprites
            name = file.replace('Sprites/','').replace('/', ' ').replace('.png','')
            renpy.image(name, Image(file, yalign=1.0))
            renpy.image(name + ' flip', im.Flip(Image(file), horizontal=True, yalign=1.0))
        
            if (name.startswith('luka')) and not (name.startswith('luka right')):
                renpy.image(name + ' jacket', im.Composite(None, (0,0), ImageReference(name), (0,0), "GUI/jacket.png"))
                renpy.image(name + ' jacket flip', im.Flip(ImageReference(name + ' jacket'), horizontal=True, yalign=1.0))
            if name.startswith('luka right'):
                renpy.image(name + ' jacket', im.Composite(None, (0,0), ImageReference(name), (0,0), "GUI/jacket2.png"))
                renpy.image(name + ' jacket flip', im.Flip(ImageReference(name + ' jacket'), horizontal=True, yalign=1.0))

        if file.startswith('BG/'): #BGs
            if file.endswith('.jpg'):
                name = file.replace('BG/','').replace('/', ' ').replace('.jpg','')
                renpy.image(name, Image(file))
        if file.startswith('BG/'): #BGs
            if file.endswith('.png'):
                name = file.replace('BG/','').replace('/', ' ').replace('.png','')
                renpy.image(name, Image(file))
    
    renpy.image('cg3_ 1', im.Composite(None, (0,0), ImageReference('cg3_base1'), (0,0), ImageReference('cg3_f1'), (0,0), ImageReference('cg3_l1')))
    renpy.image('cg3_ 2', im.Composite(None, (0,0), ImageReference('cg3_base1'), (0,0), ImageReference('cg3_f1'), (0,0), ImageReference('cg3_l2')))
    renpy.image('cg3_ 3', im.Composite(None, (0,0), ImageReference('cg3_base1'), (0,0), ImageReference('cg3_f1'), (0,0), ImageReference('cg3_l3')))
    renpy.image('cg3_ 4', im.Composite(None, (0,0), ImageReference('cg3_base1'), (0,0), ImageReference('cg3_f2'), (0,0), ImageReference('cg3_l1')))
    renpy.image('cg3_ 5', im.Composite(None, (0,0), ImageReference('cg3_base1'), (0,0), ImageReference('cg3_f2'), (0,0), ImageReference('cg3_l2')))
    renpy.image('cg3_ 6', im.Composite(None, (0,0), ImageReference('cg3_base1'), (0,0), ImageReference('cg3_f2'), (0,0), ImageReference('cg3_l3')))
    renpy.image('cg3_ 7', im.Composite(None, (0,0), ImageReference('cg3_base1'), (0,0), ImageReference('cg3_f3'), (0,0), ImageReference('cg3_l1')))
    renpy.image('cg3_ 8', im.Composite(None, (0,0), ImageReference('cg3_base1'), (0,0), ImageReference('cg3_f3'), (0,0), ImageReference('cg3_l2')))
    renpy.image('cg3_ 9', im.Composite(None, (0,0), ImageReference('cg3_base1'), (0,0), ImageReference('cg3_f3'), (0,0), ImageReference('cg3_l3')))

    renpy.image('cg3_ 1 up', im.Composite(None, (0,0), ImageReference('cg3_base2'), (0,0), ImageReference('cg3_f1'), (0,0), ImageReference('cg3_l1')))
    renpy.image('cg3_ 2 up', im.Composite(None, (0,0), ImageReference('cg3_base2'), (0,0), ImageReference('cg3_f1'), (0,0), ImageReference('cg3_l2')))
    renpy.image('cg3_ 3 up', im.Composite(None, (0,0), ImageReference('cg3_base2'), (0,0), ImageReference('cg3_f1'), (0,0), ImageReference('cg3_l3')))
    renpy.image('cg3_ 4 up', im.Composite(None, (0,0), ImageReference('cg3_base2'), (0,0), ImageReference('cg3_f2'), (0,0), ImageReference('cg3_l1')))
    renpy.image('cg3_ 5 up', im.Composite(None, (0,0), ImageReference('cg3_base2'), (0,0), ImageReference('cg3_f2'), (0,0), ImageReference('cg3_l2')))
    renpy.image('cg3_ 6 up', im.Composite(None, (0,0), ImageReference('cg3_base2'), (0,0), ImageReference('cg3_f2'), (0,0), ImageReference('cg3_l3')))
    renpy.image('cg3_ 7 up', im.Composite(None, (0,0), ImageReference('cg3_base2'), (0,0), ImageReference('cg3_f3'), (0,0), ImageReference('cg3_l1')))
    renpy.image('cg3_ 8 up', im.Composite(None, (0,0), ImageReference('cg3_base2'), (0,0), ImageReference('cg3_f3'), (0,0), ImageReference('cg3_l2')))
    renpy.image('cg3_ 9 up', im.Composite(None, (0,0), ImageReference('cg3_base2'), (0,0), ImageReference('cg3_f3'), (0,0), ImageReference('cg3_l3')))


    for name in ["cg3_ 1", "cg3_ 2", "cg3_ 3", "cg3_ 4", "cg3_ 5", "cg3_ 6", "cg3_ 7", "cg3_ 8", "cg3_ 9"]:
        renpy.image(name + ' frank_jacket', im.Composite(None, (0,0), ImageReference(name), (0,0), "BG/cg3_jf2.png"))
        renpy.image(name + ' luka_jacket', im.Composite(None, (0,0), ImageReference(name), (0,0), "BG/cg3_jl.png"))   

    for name in ["cg3_ 1 up", "cg3_ 2 up", "cg3_ 3 up", "cg3_ 4 up", "cg3_ 5 up", "cg3_ 6 up", "cg3_ 7 up", "cg3_ 8 up", "cg3_ 9 up"]:
        renpy.image(name + ' frank_jacket', im.Composite(None, (0,0), ImageReference(name), (0,0), "BG/cg3_jf1.png"))
        renpy.image(name + ' luka_jacket', im.Composite(None, (0,0), ImageReference(name), (0,0), "BG/cg3_jl.png"))   

#    for name in ["cg3_1", "cg3_2", "cg3_3", "cg3_4", "cg3_5", "cg3_6", "cg3_7", "cg3_8", "cg3_9"]:
#        renpy.image(name + ' frank_jacket', im.Scale(im.Composite(None, (0,0), ImageReference(name), (0,0), "BG/cg3_frank_jacket.png"), 1366, 768))
#        renpy.image(name + ' luka_jacket', im.Scale(im.Composite(None, (0,0), ImageReference(name), (0,0), "BG/cg3_luka_jacket.png"), 1366, 768))
##        renpy.image(name + ' frank_jacket', im.Composite(None, (0,0), ImageReference(name), (0,0), "BG/cg3_frank_jacket.png"))
##        renpy.image(name + ' luka_jacket', im.Composite(None, (0,0), ImageReference(name), (0,0), "BG/cg3_luka_jacket.png"))   


    renpy.image('cg3_ 1 thumb', im.Composite(None, (0,0), ImageReference('cg3_base1 thumb'), (0,0), ImageReference('cg3_f1 thumb'), (0,0), ImageReference('cg3_l1 thumb')))
    renpy.image('cg3_ 2 thumb', im.Composite(None, (0,0), ImageReference('cg3_base1 thumb'), (0,0), ImageReference('cg3_f1 thumb'), (0,0), ImageReference('cg3_l2 thumb')))
    renpy.image('cg3_ 3 thumb', im.Composite(None, (0,0), ImageReference('cg3_base1 thumb'), (0,0), ImageReference('cg3_f1 thumb'), (0,0), ImageReference('cg3_l3 thumb')))
    renpy.image('cg3_ 4 thumb', im.Composite(None, (0,0), ImageReference('cg3_base1 thumb'), (0,0), ImageReference('cg3_f2 thumb'), (0,0), ImageReference('cg3_l1 thumb')))
    renpy.image('cg3_ 5 thumb', im.Composite(None, (0,0), ImageReference('cg3_base1 thumb'), (0,0), ImageReference('cg3_f2 thumb'), (0,0), ImageReference('cg3_l2 thumb')))
    renpy.image('cg3_ 6 thumb', im.Composite(None, (0,0), ImageReference('cg3_base1 thumb'), (0,0), ImageReference('cg3_f2 thumb'), (0,0), ImageReference('cg3_l3 thumb')))
    renpy.image('cg3_ 7 thumb', im.Composite(None, (0,0), ImageReference('cg3_base1 thumb'), (0,0), ImageReference('cg3_f3 thumb'), (0,0), ImageReference('cg3_l1 thumb')))
    renpy.image('cg3_ 8 thumb', im.Composite(None, (0,0), ImageReference('cg3_base1 thumb'), (0,0), ImageReference('cg3_f3 thumb'), (0,0), ImageReference('cg3_l2 thumb')))
    renpy.image('cg3_ 9 thumb', im.Composite(None, (0,0), ImageReference('cg3_base1 thumb'), (0,0), ImageReference('cg3_f3 thumb'), (0,0), ImageReference('cg3_l3 thumb')))

    renpy.image('cg3_ 1 up thumb', im.Composite(None, (0,0), ImageReference('cg3_base2 thumb'), (0,0), ImageReference('cg3_f1 thumb'), (0,0), ImageReference('cg3_l1 thumb')))
    renpy.image('cg3_ 2 up thumb', im.Composite(None, (0,0), ImageReference('cg3_base2 thumb'), (0,0), ImageReference('cg3_f1 thumb'), (0,0), ImageReference('cg3_l2 thumb')))
    renpy.image('cg3_ 3 up thumb', im.Composite(None, (0,0), ImageReference('cg3_base2 thumb'), (0,0), ImageReference('cg3_f1 thumb'), (0,0), ImageReference('cg3_l3 thumb')))
    renpy.image('cg3_ 4 up thumb', im.Composite(None, (0,0), ImageReference('cg3_base2 thumb'), (0,0), ImageReference('cg3_f2 thumb'), (0,0), ImageReference('cg3_l1 thumb')))
    renpy.image('cg3_ 5 up thumb', im.Composite(None, (0,0), ImageReference('cg3_base2 thumb'), (0,0), ImageReference('cg3_f2 thumb'), (0,0), ImageReference('cg3_l2 thumb')))
    renpy.image('cg3_ 6 up thumb', im.Composite(None, (0,0), ImageReference('cg3_base2 thumb'), (0,0), ImageReference('cg3_f2 thumb'), (0,0), ImageReference('cg3_l3 thumb')))
    renpy.image('cg3_ 7 up thumb', im.Composite(None, (0,0), ImageReference('cg3_base2 thumb'), (0,0), ImageReference('cg3_f3 thumb'), (0,0), ImageReference('cg3_l1 thumb')))
    renpy.image('cg3_ 8 up thumb', im.Composite(None, (0,0), ImageReference('cg3_base2 thumb'), (0,0), ImageReference('cg3_f3 thumb'), (0,0), ImageReference('cg3_l2 thumb')))
    renpy.image('cg3_ 9 up thumb', im.Composite(None, (0,0), ImageReference('cg3_base2 thumb'), (0,0), ImageReference('cg3_f3 thumb'), (0,0), ImageReference('cg3_l3 thumb')))

    for arm in ['', ' up']:
        frank_jacket = "BG/cg3_jf2 thumb.png"
        if arm == ' up':
            frank_jacket = "BG/cg3_jf1 thumb.png"
        renpy.image("cg3_ 1" + arm + ' frank_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_ 1" + arm + " thumb"), (0,0), frank_jacket))
        renpy.image("cg3_ 1" + arm + ' luka_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_ 1" + arm + " thumb"), (0,0), "BG/cg3_jl thumb.png"))
        renpy.image("cg3_ 2" + arm + ' frank_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_ 2" + arm + " thumb"), (0,0), frank_jacket))
        renpy.image("cg3_ 2" + arm + ' luka_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_ 2" + arm + " thumb"), (0,0), "BG/cg3_jl thumb.png"))
        renpy.image("cg3_ 3" + arm + ' frank_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_ 3" + arm + " thumb"), (0,0), frank_jacket))
        renpy.image("cg3_ 3" + arm + ' luka_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_ 3" + arm + " thumb"), (0,0), "BG/cg3_jl thumb.png"))
        renpy.image("cg3_ 4" + arm + ' frank_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_ 4" + arm + " thumb"), (0,0), frank_jacket))
        renpy.image("cg3_ 4" + arm + ' luka_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_ 4" + arm + " thumb"), (0,0), "BG/cg3_jl thumb.png"))
        renpy.image("cg3_ 5" + arm + ' frank_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_ 5" + arm + " thumb"), (0,0), frank_jacket))
        renpy.image("cg3_ 5" + arm + ' luka_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_ 5" + arm + " thumb"), (0,0), "BG/cg3_jl thumb.png"))
        renpy.image("cg3_ 6" + arm + ' frank_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_ 6" + arm + " thumb"), (0,0), frank_jacket))
        renpy.image("cg3_ 6" + arm + ' luka_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_ 6" + arm + " thumb"), (0,0), "BG/cg3_jl thumb.png"))
        renpy.image("cg3_ 7" + arm + ' frank_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_ 7" + arm + " thumb"), (0,0), frank_jacket))
        renpy.image("cg3_ 7" + arm + ' luka_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_ 7" + arm + " thumb"), (0,0), "BG/cg3_jl thumb.png"))
        renpy.image("cg3_ 8" + arm + ' frank_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_ 8" + arm + " thumb"), (0,0), frank_jacket))
        renpy.image("cg3_ 8" + arm + ' luka_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_ 8" + arm + " thumb"), (0,0), "BG/cg3_jl thumb.png"))
        renpy.image("cg3_ 9" + arm + ' frank_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_ 9" + arm + " thumb"), (0,0), frank_jacket))
        renpy.image("cg3_ 9" + arm + ' luka_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_ 9" + arm + " thumb"), (0,0), "BG/cg3_jl thumb.png"))
        
#    renpy.image("cg3_1" + ' frank_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_1 thumb"), (0,0), "BG/cg3_frank_jacket thumb.png"))
#    renpy.image("cg3_1" + ' luka_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_1 thumb"), (0,0), "BG/cg3_luka_jacket thumb.png"))
#    renpy.image("cg3_2" + ' frank_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_2 thumb"), (0,0), "BG/cg3_frank_jacket thumb.png"))
#    renpy.image("cg3_2" + ' luka_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_2 thumb"), (0,0), "BG/cg3_luka_jacket thumb.png"))
#    renpy.image("cg3_3" + ' frank_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_3 thumb"), (0,0), "BG/cg3_frank_jacket thumb.png"))
#    renpy.image("cg3_3" + ' luka_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_3 thumb"), (0,0), "BG/cg3_luka_jacket thumb.png"))
#    renpy.image("cg3_4" + ' frank_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_4 thumb"), (0,0), "BG/cg3_frank_jacket thumb.png"))
#    renpy.image("cg3_4" + ' luka_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_4 thumb"), (0,0), "BG/cg3_luka_jacket thumb.png"))
#    renpy.image("cg3_5" + ' frank_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_5 thumb"), (0,0), "BG/cg3_frank_jacket thumb.png"))
#    renpy.image("cg3_5" + ' luka_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_5 thumb"), (0,0), "BG/cg3_luka_jacket thumb.png"))
#    renpy.image("cg3_6" + ' frank_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_6 thumb"), (0,0), "BG/cg3_frank_jacket thumb.png"))
#    renpy.image("cg3_6" + ' luka_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_6 thumb"), (0,0), "BG/cg3_luka_jacket thumb.png"))
#    renpy.image("cg3_7" + ' frank_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_7 thumb"), (0,0), "BG/cg3_frank_jacket thumb.png"))
#    renpy.image("cg3_7" + ' luka_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_7 thumb"), (0,0), "BG/cg3_luka_jacket thumb.png"))
#    renpy.image("cg3_8" + ' frank_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_8 thumb"), (0,0), "BG/cg3_frank_jacket thumb.png"))
#    renpy.image("cg3_8" + ' luka_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_8 thumb"), (0,0), "BG/cg3_luka_jacket thumb.png"))
#    renpy.image("cg3_9" + ' frank_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_9 thumb"), (0,0), "BG/cg3_frank_jacket thumb.png"))
#    renpy.image("cg3_9" + ' luka_jacket butt', im.Composite(None, (0,0), ImageReference("cg3_9 thumb"), (0,0), "BG/cg3_luka_jacket thumb.png"))

###Music
init -2 python:
    THEME = ["Music/game_maoudamashii_3_theme11.ogg", "Main Theme"] #Maou Damashii #used
    PIANO = ["Music/bgm_maoudamashii_piano13.ogg", "Desperation"] #Maou Damashii #used
    PIANO2 = ["Music/bgm_maoudamashii_piano03.ogg", "Forgiven"] #Maou Damashii #used

    URGENCY = ["Music/Urgency.mp3", "Urgency"] #Amorphous #used
    BARREN = ["Music/Barren.mp3", "Barren"] #Amorphous #used
    NOSTALGIA = ["Music/Nostalgia.mp3", "Nostalgia"] #Amorphous #used
    RECOLLECTION = ["Music/Recollection.mp3", "Recollection"] #Amorphous #used
    SINISTER = ["Music/Sinester.mp3", "Sinister"] #Amorphous #used
     
    # add all music for the music room:
    MUSIC = [THEME, PIANO, PIANO2, URGENCY, BARREN, NOSTALGIA, RECOLLECTION, SINISTER]

###Sounds
    #freeSFX
    CLICK = "SFX/sound_confirm.ogg" #menu click
    HOVER = "SFX/sound_hover.ogg" #menu hover
    DOORKICK = "SFX/internal_wooden_door_kick_open.mp3" #used
    DOOR = "SFX/door_squeaky_creak.ogg" #used
    MEDCAB = "SFX/medicine_cabinet_door_close.ogg" #used
    RINGTONE = "SFX/ringtone_004.ogg" #used
    FOOTSTEPS = "SFX/two_pairs_of_footsteps_up_to_theatre_dress_circle_.ogg"#used

    #ambient sounds by erokia@soundcloud:
    SUMMER1 = "SFX/157980__erokia__summer-wave-expera.ogg" #used
    SUMMER2 = "SFX/158029__erokia__summer-wave-loop-2-cut-2.ogg"#used
    SPUR = "SFX/157992__erokia__spur-1-edit-2-bandpass-stop.ogg"#used
    LOADING = "SFX/158006__erokia__creepy-loading-screen-music.ogg" #used
    BLEACH = "SFX/158045__erokia__bleach-beat.ogg"#used
    PULSE1 = "SFX/158060__erokia__ancient-pulse-single-edit-reverse.ogg" #used
    PULSE2 = "SFX/158066__erokia__ancient-pulse.ogg" #used
    ABANDONED = "SFX/158062__erokia__abandoned-sound-effect.ogg" #used
    PAX = "SFX/158098__erokia__paxierz-loop-1.ogg"#used
    RUEN = "SFX/158120__erokia__ruen-hi.ogg" #used

### Custom ATL/Positions
init:
    #Positions
    $ midleft = Position(xpos=0.15,
        xanchor=0,
        ypos=0,
        yanchor=0)
    $ midright = Position(xpos=0.45,
        xanchor=0,
        ypos=0,
        yanchor=0)
    #ATL transitions
    transform left_dissolve:
        on show:
            yalign 1.0 xpos 0.0 alpha 0.0
            linear 1.0 alpha 1.0
    transform midleft_dissolve:
        on show:
            yalign 1.0 xpos 0.15 alpha 0.0
            linear 1.0 alpha 1.0
        on hide:
            linear 1.0 alpha 0.0
    transform center_dissolve:
        on show:
            yalign 1.0 xpos 0.3 alpha 0.0
            linear 1.0 alpha 1.0
        on hide:
            linear 1.0 alpha 0.0 
    transform midright_dissolve:
        on show:
            yalign 1.0 xpos 0.45 alpha 0.0
            linear 1.0 alpha 1.0
        on hide:
            linear 1.0 alpha 0.0
    transform right_dissolve:
        on show:
            yalign 1.0 xpos 0.6 alpha 0.0
            linear 1.0 alpha 1.0
        on hide:
            linear 1.0 alpha 0.0
    transform flicker:
        alpha 1.0
        linear 0.5 alpha 0.8
        linear 0.3 alpha 0.9
        linear 0.2 alpha 0.85
        linear 0.1 alpha 0.95
        repeat
        #To stop use
        #show luka:
            #alpha 1.0
    transform flicker_once:
        alpha 1.0
        linear 0.5 alpha 0.8
        linear 0.3 alpha 0.9
        linear 0.2 alpha 0.85
        linear 0.1 alpha 0.95
init -2:

    define slowfade = Fade(3.0, 0, 0.0)